services:
  sqlserver:
    image: mcr.microsoft.com/mssql/server:2022-latest
    container_name: eme_sqlserver
    environment:
      ACCEPT_EULA: "Y"
      MSSQL_SA_PASSWORD: ${MSSQL_SA_PASSWORD}
      MSSQL_PID: "Developer"
    ports:
      - "1433:1433"
    volumes:
      - eme_sqlserver_data:/var/opt/mssql
    networks:
      - eme_network 
      
    restart: unless-stopped

  adminer:
    image: adminer:latest
    container_name: eme_adminer
    ports:
      - "8081:8080"
    networks:
      - eme_network
    restart: unless-stopped

networks:
  eme_network:
    driver: bridge
volumes:
  eme_sqlserver_data:
